summaryrefslogtreecommitdiffstats
path: root/bin/etc-update
diff options
context:
space:
mode:
Diffstat (limited to 'bin/etc-update')
-rwxr-xr-xbin/etc-update4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/etc-update b/bin/etc-update
index c1569ff12..ab376b83c 100755
--- a/bin/etc-update
+++ b/bin/etc-update
@@ -439,8 +439,8 @@ scriptname=$(basename $0)
trap die term
-
-eval $(/usr/lib/portage/bin/portageq envvar -v CONFIG_PROTECT \
+type portageq > /dev/null || exit $?
+eval $(portageq envvar -v CONFIG_PROTECT \
CONFIG_PROTECT_MASK PORTAGE_CONFIGROOT PORTAGE_TMPDIR ROOT USERLAND)
export PORTAGE_TMPDIR